Public Member Functions | Public Attributes

# wxLanguageInfo Struct Reference

`#include <wx/intl.h>`

## Detailed Description

Encapsulates a wxLanguage indentifier together with OS-specific information related to that language.

wxPerl Note: In wxPerl `Wx::LanguageInfo` has only one method:

- Wx::LanguageInfo->new(language, canonicalName, WinLang, WinSubLang, Description)

## Public Member Functions
wxUint32 | GetLCID () const
| Return the LCID corresponding to this language.
wxString | GetLocaleName () const
| Return the locale name corresponding to this language usable with `setlocale()` on the current system.
## Public Attributes
int | Language
| wxLanguage id.
wxString | CanonicalName
| Canonical name of the language, e.g. `fr_FR`.
wxString | Description
| Human-readable name of the language.
wxLayoutDirection | LayoutDirection
| The layout direction used for this language.
wxUint32 | WinLang
| Win32 language identifiers (LANG_xxxx, SUBLANG_xxxx).
wxUint32 | WinSublang
| Win32 language identifiers (LANG_xxxx, SUBLANG_xxxx).

List of all members.

## Member Function Documentation

wxUint32 wxLanguageInfo::GetLCID | ( |  | ) | const

Return the LCID corresponding to this language.

Availability: only available for the wxMSW port.

wxString wxLanguageInfo::GetLocaleName | ( |  | ) | const

Return the locale name corresponding to this language usable with `setlocale()` on the current system.

## Member Data Documentation

wxString wxLanguageInfo::CanonicalName

Canonical name of the language, e.g. `fr_FR`.

wxString wxLanguageInfo::Description

Human-readable name of the language.

int wxLanguageInfo::Language

wxLanguage id.

It should be greater than `wxLANGUAGE_USER_DEFINED` when defining your own language info structure.

wxLayoutDirection wxLanguageInfo::LayoutDirection

The layout direction used for this language.

wxUint32 wxLanguageInfo::WinLang

Win32 language identifiers (LANG_xxxx, SUBLANG_xxxx).

Availability: only available for the wxMSW port.

wxUint32 wxLanguageInfo::WinSublang

Win32 language identifiers (LANG_xxxx, SUBLANG_xxxx).

Availability: only available for the wxMSW port.

|  | [ top ]